com.smartgwt.client.types

## Enum EscapeKeyEditAction

- java.lang.Object
- - java.lang.Enum<EscapeKeyEditAction>
  - - com.smartgwt.client.types.EscapeKeyEditAction

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<EscapeKeyEditAction>

      public enum EscapeKeyEditAction
      extends java.lang.Enum<EscapeKeyEditAction>
      implements ValueEnum

  What to do if the user hits escape while editing a cell.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL` cancels the current edit and discards edit values
    `DONE` end editing (will save edit values if `autoSaveEdits` is true).
    `EXIT` exit the editor (edit values will be left intact but not saved).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static EscapeKeyEditAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EscapeKeyEditAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CANCEL

          public static final EscapeKeyEditAction CANCEL

      cancels the current edit and discards edit values

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "cancel".

    - #### DONE

          public static final EscapeKeyEditAction DONE

      end editing (will save edit values if `autoSaveEdits` is true).

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "done".

    - #### EXIT

          public static final EscapeKeyEditAction EXIT

      exit the editor (edit values will be left intact but not saved).

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "exit".

  - ### Method Detail

    - #### values

          public static EscapeKeyEditAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EscapeKeyEditAction c : EscapeKeyEditAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EscapeKeyEditAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`